---
updatedAt: 2025-06-16T20:56:49.000Z
agentTools:
  projectIndex: https://docs.payarc.net/llms.txt
---

# Transactions V2

## Changes in Transactions V2

The enhancements from `v1` to `v2` brings the following improvements:

### **Callback-Based Workflow**

* Results are delivered via a **callback**, enabling:
  * An instant response from the initial Transactions endpoint.
  * Asynchronous processing, so your app doesn’t have to wait for the entire transaction lifecycle to complete.
  * Response sent to your server as soon as the payment terminal completes the operation.

### **Mitigates Long Running Terminal Operations**

* Immediate response from the `Transaction` endpoint, with a `TraceId` provided.
  * The `TraceId` can be provided to Payarc support to help solve issues regarding transactions with improved simplicity.
  * The transaction response is sent your custom callback URL, limiting long wait times and potential errors.

### **Improved Traceability & Observability**

* Every transaction is tagged with a unique `TraceId`, allowing:
  * Improved transaction tracking, allowing for better support.

### **New:`GET /transactions/{TraceId}`**

* A new endpoint to **get the transaction response** based on the `TraceId`.
* Useful to see if a previous transaction on the terminal was successful or resulted in an error.